%{?scl:%scl_package perl-CGI-Fast}

Name:           %{?scl_prefix}perl-CGI-Fast
Version:        2.05
Release:        5%{?dist}
Summary:        CGI Interface for Fast CGI
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/CGI-Fast/
Source0:        http://www.cpan.org/authors/id/L/LE/LEEJO/CGI-Fast-%{version}.tar.gz
# Make Test::Deep tests optional as it's not in the core in contrast to the
# CGI-Fast
Patch0:         CGI-Fast-2.04-Make-Test-Deep-tests-optional.patch
BuildArch:      noarch
BuildRequires:  %{?scl_prefix}perl
BuildRequires:  %{?scl_prefix}perl(ExtUtils::MakeMaker)
# Run-time:
BuildRequires:  %{?scl_prefix}perl(CGI) >= 4.00
%if 0%{?scl:1} || 0%(%{?scl:scl enable %{scl} '}perl -e %{?scl:'"}'%{?scl:"'}print $] >= 5.019%{?scl:'"}'%{?scl:"'}%{?scl:'})
BuildRequires:  %{?scl_prefix}perl(deprecate)
%endif
BuildRequires:  %{?scl_prefix}perl(FCGI) >= 0.67
BuildRequires:  %{?scl_prefix}perl(File::Spec) >= 0.82
BuildRequires:  %{?scl_prefix}perl(if)
BuildRequires:  %{?scl_prefix}perl(strict)
BuildRequires:  %{?scl_prefix}perl(vars)
# Tests:
BuildRequires:  %{?scl_prefix}perl(Test::More) >= 0.98
BuildRequires:  %{?scl_prefix}perl(warnings)
# Optional tests:
%if !%{defined perl_bootstrap} && !%{defined perl_small}
BuildRequires:  %{?scl_prefix}perl(Test::Deep) >= 0.11
%endif
Requires:       %{?scl_prefix}perl(:MODULE_COMPAT_%(%{?scl:scl enable %{scl} '}eval "$(perl -V:version)";echo $version%{?scl:'}))
%if 0%{?scl:1} || 0%(%{?scl:scl enable %{scl} '}perl -e %{?scl:'"}'%{?scl:"'}print $] >= 5.019%{?scl:'"}'%{?scl:"'}%{?scl:'})
Requires:       %{?scl_prefix}perl(deprecate)
%endif
Requires:       %{?scl_prefix}perl(CGI) >= 4.00
Requires:       %{?scl_prefix}perl(FCGI) >= 0.67
Requires:       %{?scl_prefix}perl(File::Spec) >= 0.82
# perl-CGI-Fast was split from perl-CGI
Conflicts:      %{?scl_prefix}perl-CGI < 4.00

# RPM 4.8 style
%{?filter_setup:
%filter_from_requires /^%{?scl_prefix}perl(CGI)$/d
%filter_from_requires /^%{?scl_prefix}perl(FCGI)$/d
%filter_from_requires /^%{?scl_prefix}perl(File::Spec)$/d
%?perl_default_filter
}
# RPM 4.9 style
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^%{?scl_prefix}perl\\((CGI|FCGI|File::Spec)\\)$

%description
CGI::Fast is a subclass of the CGI object created by CGI.pm. It is
specialized to work well FCGI module, which greatly speeds up CGI scripts
by turning them into persistently running server processes. Scripts that
perform time-consuming initialization processes, such as loading large
modules or opening persistent database connections, will see large
performance improvements.

%prep
%setup -q -n CGI-Fast-%{version}
%patch0 -p1

%build
%{?scl:scl enable %{scl} '}perl Makefile.PL INSTALLDIRS=vendor && make %{?_smp_mflags}%{?scl:'}

%install
%{?scl:scl enable %{scl} '}make pure_install DESTDIR=$RPM_BUILD_ROOT%{?scl:'}
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%{?scl:scl enable %{scl} '}make test%{?scl:'}

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Jan 28 2015 Petr Pisar <ppisar@redhat.com> - 2.05-5
- Do not use perl version to control dependencies

* Sun Jan 25 2015 Jitka Plesnikova <jplesnik@redhat.com> - 2.05-4
- Rebuild of bootstrapped package

* Thu Jan 22 2015 Petr Pisar <ppisar@redhat.com> - 2.05-3
- Disable optional tests for small build root

* Wed Jan 14 2015 Petr Pisar <ppisar@redhat.com> - 2.05-2
- Specify run-time dependency versions

* Mon Dec 15 2014 Jitka Plesnikova <jplesnik@redhat.com> - 2.05-1
- 2.05 bump

* Wed Dec 10 2014 Petr Pisar <ppisar@redhat.com> - 2.04-2
- Do not load Test::Deep where not needed
- Make Test::Deep tests optional as it's not in the core in contrast to the
  CGI-Fast

* Mon Oct 13 2014 Jitka Plesnikova <jplesnik@redhat.com> - 2.04-1
- 2.04 bump

* Wed Sep 10 2014 Jitka Plesnikova <jplesnik@redhat.com> - 2.03-1
- 2.03 bump

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 2.02-2
- Perl 5.20 rebuild

* Mon Jun 09 2014 Jitka Plesnikova <jplesnik@redhat.com> - 2.02-1
- 2.02 bump

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.01-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jun 03 2014 Jitka Plesnikova <jplesnik@redhat.com> - 2.01-1
- 2.01 bump

* Mon May 26 2014 Jitka Plesnikova <jplesnik@redhat.com> - 2.00-1
- Specfile autogenerated by cpanspec 1.78.
